import 'package:cresce_ui/cresce_ui.dart';
import 'package:flutter/material.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:integration_test/integration_test.dart';

void main() {
  if (WidgetsBinding.instance is IntegrationTestWidgetsFlutterBinding) {
    IntegrationTestWidgetsFlutterBinding.ensureInitialized();
  }

  group(CInputMoney, () {
    testWidgets(
      'sanity check',
      (tester) async {
        await tester.pumpWidget(const MaterialApp(
          home: Scaffold(
            body: CInputMoney(label: 'money'),
          ),
        ));

        expect(find.byType(CInputMoney), findsOneWidget);
      },
    );
  });
}
